:root {
  --body-bg: #171717;
  /* --msger-bg: #fff; */
  --border: 2px solid rgb(122, 122, 122);
  --left-msg-bg: #ffffff;
  --right-msg-bg: #303030;
}

html {
  box-sizing: border-box;
}

*,
*:before,
*:after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

body {
  height: 100vh;
  background-color: var(--body-bg);
  font-family: Helvetica, sans-serif;
}

.navbar {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: transparent;
  padding: 10px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.logo-button-container {
  display: flex;
  align-items: center;
}

.logo {
  max-height: 30px;
  /* Adjust the size as needed */
  margin-right: 10px;
}

.connect-button {
  background-color: #fff;
  /* Change this to your desired button color */
  color: black;
  border: none;
  padding: 8px 12px;
  border-radius: 5px;
  cursor: pointer;
  margin-left: 10px;
}

.connect-button:hover {
  background-color: #cecaca;
  /* Change this to your desired button hover color */
}

/* popup form styles */
/* Popup container styles */
.popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 999;
  overflow-y: auto;

}

/* Popup content styles */
.popup-content {
  background-color: #fff;
  margin: 1% auto;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  max-width: 850px;
}

.close {
  position: relative;
  top: -10px;
  left: 800px;
  font-size: 20px;
  cursor: pointer;
  color: #999;
  font-size: 30px;
}

.close:hover {
  color: #000;
}

/* Form styles (you can customize these further) */
#contactForm {
  display: grid;
  gap: 15px;
  margin-left: 50px;
  margin-top: 20px;
}

.flex {
  display: flex;
  width: 93%;
  gap: 30px;
}

#input-text,
input[type="email"] {
  width: 90%;
  padding: 8px;
  border: none;
  border-bottom: 1px solid #ccc;
}

#input-text,
input[type="email"]:focus {
  outline: none;
}

input::placeholder {
  /* color: #04AA6D;  */
}

label {
  font-size: 12px;
}

select {
  height: 40px;
}

option {
  border-radius: 0px;
}

.message-textarea {
  resize: none;
  height: 100px;
  overflow-y: auto;
  width: 91%;
  padding: 5px;
  border-radius: 5px;
}

.message-textarea:focus {
  outline: none;
}

.form-submit-button {
  background-color: #000;
  color: #fff;
  padding: 10px 11px;
  border: none;
  border-radius: 3px;
  cursor: pointer;
  width: 90%;
}

.form-submit-button:hover {
  background-color: rgb(37, 36, 36);
}

.container {
  display: block;
  position: relative;
  padding-left: 28px;
  padding-right: 10px;
  margin-bottom: 20px;
  cursor: pointer;
  font-size: 14px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.container a {
  text-decoration: none;
}

/* Hide the browser's default checkbox */
.container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  background-color: #eee;
}

.container:hover input~.checkmark {
  background-color: #ccc;
}

.container input:checked~.checkmark {
  background-color: #2196f3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.container input:checked~.checkmark:after {
  display: block;
}

.container .checkmark:after {
  left: 7px;
  top: 2px;
  width: 4px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.msger-parent {
  width: 100%;
  display: flex;
  justify-content: center;
  /* align-items: center; */
  height: calc(100% - 130px);
  margin-top: 20px;
}


.msger {
  display: flex;
  flex-flow: column;
  flex-grow: 1;
  justify-content: center;
  /* width: 100%; */
  max-width: 867px;
  /* margin: 25px 10px; */
  /* height: calc(100% - 150px); */
  /* height: 80%; */

  /* border: 2px red solid; */
  border-radius: 5px;
  /* background: var(--msger-bg); */
  box-shadow: 0 15px 15px -5px rgba(0, 0, 0, 0.2);
}


.msger-header {
  /* display: flex; */
  font-size: 18px;
  justify-content: space-between;
  padding: 10px;
  text-align: center;
  border-bottom: var(--border);
  background: #303030;
  color: white;
  border-radius: 10px 10px 0px 0px;
}

.msger-header-title {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
}

.msger-header-title img {
  width: 30px;
  height: 30px;
}

.msger-chat {
  flex: 1;
  overflow-y: auto;
  padding: 10px;
}

.msger-chat::-webkit-scrollbar {
  width: 6px;
}

.msger-chat::-webkit-scrollbar-track {
  background: transparent;
}

.msger-chat::-webkit-scrollbar-thumb {
  background: transparent;
}

.msg {
  display: flex;
  align-items: flex-end;
  margin-bottom: 10px;
}

.msg-img {
  width: 40px;
  height: 40px;
  margin-right: 10px;

  background: #171717;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  border-radius: 50%;
}

.msg-bubble {
  max-width: 450px;
  padding: 15px;
  border-radius: 15px;
  background: var(--left-msg-bg);
}

.msg-info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
}

.msg-info-name {
  margin-right: 10px;
  font-weight: bold;
}

.msg-info-time {
  font-size: 0.85em;
}

.left-msg .msg-bubble {
  border-bottom-left-radius: 0;
}

.right-msg {
  flex-direction: row-reverse;
}

.right-msg .msg-bubble {
  background: var(--right-msg-bg);
  color: #fff;
  border-bottom-right-radius: 0;
}

.right-msg .msg-img {
  margin: 0 0 0 10px;
}

.msger-inputarea {
  display: flex;
  padding: 10px;
  border-top: var(--border);
  background: #303030;
  border-radius: 0px 0px 10px 10px;
}

.msger-inputarea * {
  padding: 10px;
  border: none;
  border-radius: 3px;
  font-size: 1em;
}

.msger-input {
  flex: 1;
  background: transparent;
  border: none;
  outline: none;
  color: #ffff;
}

.msger-input:focus {
  border: none;
  outline: none;
}

.msger-input::placeholder {
  color: #888;
  /* Light gray */
}


.msger-send-btn {
  background-color: #212121;
  /* Change to any color you like */
  border: none;
  padding: 10px;
  border-radius: 5px;
  /* Makes it circular */
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 35px;
  height: 35px;
  transition: background 0.3s ease-in-out;
}

.msger-send-btn:hover {
  background-color: #21212199;
  /* Darker shade on hover */
}

.msger-send-btn img {
  width: 40px;
  /* Adjust icon size */
  height: 40px;
  filter: brightness(0) invert(1);
  /* Makes the icon white if it's dark */
}

.msger-chat {
  background-color: #212121;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  /* background-image: 
    linear-gradient(rgba(0, 0, 0, 0.847), rgba(0, 0, 0, 0.5)), 
    url('../static/white_long.png'); */
}


footer {
  /* background-color: rgb(226, 226, 226); */
  color: gray;
  padding: 0px 10px;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  /* line-height: 25px; */
}

.footer-content {
  display: flex;
  justify-content: space-between;

}

.policy {
  width: 70%;
  
}

.policy a,
.copyright a {
  color: rgb(229, 222, 222);
  text-decoration: none;
  align-items: center;
}

#openFooterPopup {
  border: none;
  background-color: transparent;
  /* font-weight: 600; */
  color: white;
  cursor: pointer;
}

@media (max-width: 768px) {

  footer {
    padding: 2px;
    font-size: 10px;
    align-items: center;

  }

  .footer-content {
    flex-direction: column;
    align-items: flex-start;
  }
}